Index: /trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager.cs	(revision 740)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager.cs	(revision 740)
@@ -0,0 +1,40 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace HeuristicLab.Hive.Client.Core {
+  /// <summary>
+  /// accesses the Server and sends his data (uuid, uptimes, hardware config) 
+  /// </summary>
+  public class ConfigurationManager {
+    private static ConfigurationManager instance = null;
+    private Guid guid;
+
+    public static ConfigurationManager GetInstance() {
+      if (instance == null) {
+        instance = new ConfigurationManager();
+      }
+      return instance;
+    }
+
+    /// <summary>
+    /// Constructor for the singleton, must recover Guid, Calendar, ...
+    /// </summary>
+    private ConfigurationManager() {
+      //retrive GUID from XML file, or burn in hell. as in hell. not heaven.
+      //this won't work this way. We need a plugin for XML Handling.
+      if (Properties.Settings.Default.Guid == Guid.Empty) {
+        guid = Guid.NewGuid();
+        Properties.Settings.Default.Guid = guid;
+      } else {
+        guid = Properties.Settings.Default.Guid;
+      }
+    }
+
+    public void Connect(Guid guid) {
+
+    }
+
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs	(revision 739)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs	(revision 740)
@@ -36,4 +36,6 @@
       beat.Interval = 1000;
       beat.StartHeartbeat();
+      ConfigurationManager.GetInstance();
+
       MessageQueue queue = MessageQueue.GetInstance();
 
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj	(revision 739)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj	(revision 740)
@@ -64,4 +64,5 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="ConfigurationManager.cs" />
     <Compile Include="Core.cs" />
     <Compile Include="CoreApplication.cs" />
@@ -69,8 +70,18 @@
     <Compile Include="Heartbeat.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="Properties\Settings.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DesignTimeSharedInput>True</DesignTimeSharedInput>
+      <DependentUpon>Settings.settings</DependentUpon>
+    </Compile>
   </ItemGroup>
   <ItemGroup>
+    <None Include="app.config" />
     <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.frame" />
+    <None Include="Properties\Settings.settings">
+      <Generator>PublicSettingsSingleFileGenerator</Generator>
+      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
+    </None>
   </ItemGroup>
   <ItemGroup>
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/Properties/Settings.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/Properties/Settings.Designer.cs	(revision 740)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/Properties/Settings.Designer.cs	(revision 740)
@@ -0,0 +1,38 @@
+﻿//------------------------------------------------------------------------------
+// <auto-generated>
+//     This code was generated by a tool.
+//     Runtime Version:2.0.50727.3053
+//
+//     Changes to this file may cause incorrect behavior and will be lost if
+//     the code is regenerated.
+// </auto-generated>
+//------------------------------------------------------------------------------
+
+namespace HeuristicLab.Hive.Client.Core.Properties {
+    
+    
+    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "9.0.0.0")]
+    public sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
+        
+        private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
+        
+        public static Settings Default {
+            get {
+                return defaultInstance;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("00000000-0000-0000-0000-000000000000")]
+        public global::System.Guid Guid {
+            get {
+                return ((global::System.Guid)(this["Guid"]));
+            }
+            set {
+                this["Guid"] = value;
+            }
+        }
+    }
+}
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/Properties/Settings.settings
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/Properties/Settings.settings	(revision 740)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/Properties/Settings.settings	(revision 740)
@@ -0,0 +1,9 @@
+﻿<?xml version='1.0' encoding='utf-8'?>
+<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="HeuristicLab.Hive.Client.Core.Properties" GeneratedClassName="Settings">
+  <Profiles />
+  <Settings>
+    <Setting Name="Guid" Type="System.Guid" Scope="User">
+      <Value Profile="(Default)">00000000-0000-0000-0000-000000000000</Value>
+    </Setting>
+  </Settings>
+</SettingsFile>
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/app.config
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/app.config	(revision 740)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/app.config	(revision 740)
@@ -0,0 +1,15 @@
+﻿<?xml version="1.0" encoding="utf-8" ?>
+<configuration>
+    <configSections>
+        <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
+            <section name="HeuristicLab.Hive.Client.Core.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+        </sectionGroup>
+    </configSections>
+    <userSettings>
+        <HeuristicLab.Hive.Client.Core.Properties.Settings>
+            <setting name="Guid" serializeAs="String">
+                <value>00000000-0000-0000-0000-000000000000</value>
+            </setting>
+        </HeuristicLab.Hive.Client.Core.Properties.Settings>
+    </userSettings>
+</configuration>