Index: trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs	(revision 751)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs	(revision 752)
@@ -55,11 +55,11 @@
       this.tbUuid = new System.Windows.Forms.TextBox();
       this.lblUuid = new System.Windows.Forms.Label();
-      this.rtbInfoClient = new System.Windows.Forms.RichTextBox();
       this.gbManager = new System.Windows.Forms.GroupBox();
       this.lblPort = new System.Windows.Forms.Label();
       this.lblIp = new System.Windows.Forms.Label();
       this.tbPort = new System.Windows.Forms.TextBox();
-      this.tbIp = new IPAddressTextBox();
       this.tabPage2 = new System.Windows.Forms.TabPage();
+      this.lbEventLog = new System.Windows.Forms.ListBox();
+      this.tbIp = new HeuristicLab.Hive.Client.Console.IPAddressTextBox();
       this.msClientConsole.SuspendLayout();
       this.tcClientConsole.SuspendLayout();
@@ -107,8 +107,8 @@
       // tpConnection
       // 
+      this.tpConnection.Controls.Add(this.lbEventLog);
       this.tpConnection.Controls.Add(this.btnDisconnect);
       this.tpConnection.Controls.Add(this.btnConnect);
       this.tpConnection.Controls.Add(this.gbUser);
-      this.tpConnection.Controls.Add(this.rtbInfoClient);
       this.tpConnection.Controls.Add(this.gbManager);
       this.tpConnection.Location = new System.Drawing.Point(4, 22);
@@ -168,12 +168,4 @@
       this.lblUuid.TabIndex = 0;
       this.lblUuid.Text = "UUID";
-      // 
-      // rtbInfoClient
-      // 
-      this.rtbInfoClient.Location = new System.Drawing.Point(18, 218);
-      this.rtbInfoClient.Name = "rtbInfoClient";
-      this.rtbInfoClient.Size = new System.Drawing.Size(387, 229);
-      this.rtbInfoClient.TabIndex = 1;
-      this.rtbInfoClient.Text = "";
       // 
       // gbManager
@@ -215,11 +207,4 @@
       this.tbPort.TabIndex = 1;
       // 
-      // tbIp
-      // 
-      this.tbIp.Location = new System.Drawing.Point(57, 19);
-      this.tbIp.Name = "tbIp";
-      this.tbIp.Size = new System.Drawing.Size(211, 20);
-      this.tbIp.TabIndex = 0;
-      // 
       // tabPage2
       // 
@@ -231,4 +216,19 @@
       this.tabPage2.Text = "tabPage2";
       this.tabPage2.UseVisualStyleBackColor = true;
+      // 
+      // listBox1
+      // 
+      this.lbEventLog.FormattingEnabled = true;
+      this.lbEventLog.Location = new System.Drawing.Point(23, 226);
+      this.lbEventLog.Name = "listBox1";
+      this.lbEventLog.Size = new System.Drawing.Size(382, 212);
+      this.lbEventLog.TabIndex = 5;
+      // 
+      // tbIp
+      // 
+      this.tbIp.Location = new System.Drawing.Point(57, 19);
+      this.tbIp.Name = "tbIp";
+      this.tbIp.Size = new System.Drawing.Size(211, 20);
+      this.tbIp.TabIndex = 0;
       // 
       // HiveClientConsole
@@ -250,4 +250,5 @@
       this.gbManager.ResumeLayout(false);
       this.gbManager.PerformLayout();
+      //((System.ComponentModel.ISupportInitialize)(this.performanceCounter1)).EndInit();
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -262,8 +263,7 @@
     private System.Windows.Forms.TabPage tpConnection;
     private System.Windows.Forms.TabPage tabPage2;
-    private System.Windows.Forms.RichTextBox rtbInfoClient;
     private System.Windows.Forms.GroupBox gbManager;
     private System.Windows.Forms.TextBox tbPort;
-    private IPAddressTextBox tbIp;
+    private HeuristicLab.Hive.Client.Console.IPAddressTextBox tbIp;
     private System.Windows.Forms.Label lblIp;
     private System.Windows.Forms.GroupBox gbUser;
@@ -274,4 +274,5 @@
     private System.Windows.Forms.TextBox tbUuid;
     private System.Windows.Forms.ToolStripMenuItem tsmiExit;
+    private System.Windows.Forms.ListBox lbEventLog;
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs	(revision 751)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs	(revision 752)
@@ -28,9 +28,41 @@
 using System.Text;
 using System.Windows.Forms;
+using System.Diagnostics;
+using System.Threading;
 
 namespace HeuristicLab.Hive.Client.Console {
+
+  delegate void UpdateTextDelegate(EventLog ev);
+
   public partial class HiveClientConsole : Form {
+
+    int numEntries = 0;
+
     public HiveClientConsole() {
       InitializeComponent();
+      tbIp.Text = "010.020.053.006";
+      EventLog ev = new EventLog("Hive Client");
+      ev.Source = "Hive Client";
+      string str = ev.Entries[ev.Entries.Count - 1].Message;
+      foreach (System.Diagnostics.EventLogEntry entry in ev.Entries) {
+        lbEventLog.Items.Add(entry.TimeWritten + " -> " + entry.Message);
+      }
+      lbEventLog.SelectedIndex = lbEventLog.Items.Count - 1;
+      numEntries = ev.Entries.Count;
+      ev.EntryWritten += new EntryWrittenEventHandler(OnEntryWritten);
+      ev.EnableRaisingEvents = true;
+    }
+
+    private void UpdateText(EventLog ev) {
+      if (this.lbEventLog.InvokeRequired) {
+        this.lbEventLog.Invoke(new
+          UpdateTextDelegate(UpdateText), new object[] { ev });
+      } else {
+        string str = ev.Entries[numEntries].TimeWritten + " -> " + ev.Entries[numEntries].Message;
+        numEntries++;
+        lbEventLog.Items.Add(str);
+        lbEventLog.SelectedIndex = lbEventLog.Items.Count - 1;
+
+      }
     }
 
@@ -45,5 +77,5 @@
       tbPort.Enabled = false;
       tbUuid.Enabled = false;
-      rtbInfoClient.Text += tbIp.Text;
+      lbEventLog.Items.Add(tbIp.Text);
     }
 
@@ -55,4 +87,8 @@
       tbUuid.Enabled = true;
     }
+
+    public void OnEntryWritten(object source, EntryWrittenEventArgs e) {
+      UpdateText((EventLog)source);
+    }
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx	(revision 751)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx	(revision 752)
@@ -121,3 +121,6 @@
     <value>17, 17</value>
   </metadata>
+  <metadata name="performanceCounter1.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>150, 17</value>
+  </metadata>
 </root>
Index: trunk/sources/HeuristicLab.Hive.Client.Console/IPAdressTextBox.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/IPAdressTextBox.cs	(revision 751)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/IPAdressTextBox.cs	(revision 752)
@@ -46,11 +46,11 @@
     private System.ComponentModel.Container components = null;
 
-    private IPNotation ipNotation = IPNotation.IPv4Decimal;
-    private IPNotation newIPNotation = IPNotation.IPv4Decimal;
-    private bool bOverwrite = true;
-    private bool bPreventLeave = true;
+    private IPNotation m_ipNotation = IPNotation.IPv4Decimal;
+    private IPNotation m_newIPNotation = IPNotation.IPv4Decimal;
+    private bool m_bOverwrite = true;
+    private bool m_bPreventLeave = true;
     private System.Windows.Forms.ErrorProvider error;
-    private Regex regexValidNumbers = new Regex("[0-9]");
-    private ArrayList arlDelimeter = new ArrayList(new char[] { '.' });
+    private Regex m_regexValidNumbers = new Regex("[0-9]");
+    private ArrayList m_arlDelimeter = new ArrayList(new char[] { '.' });
 
 
@@ -218,6 +218,6 @@
       set {
         try {
-          if (IPAddressTextBox.ValidateIP(value, this.newIPNotation, this.arlDelimeter))
-            base.Text = IPAddressTextBox.MakeValidSpaces(value, this.newIPNotation, this.arlDelimeter);
+          if (IPAddressTextBox.ValidateIP(value, this.m_newIPNotation, this.m_arlDelimeter))
+            base.Text = IPAddressTextBox.MakeValidSpaces(value, this.m_newIPNotation, this.m_arlDelimeter);
         }
         catch {
@@ -237,9 +237,9 @@
     public bool OverWriteMode {
       get {
-        return this.bOverwrite;
+        return this.m_bOverwrite;
       }
       set {
-        if (value != this.bOverwrite) {
-          this.bOverwrite = value;
+        if (value != this.m_bOverwrite) {
+          this.m_bOverwrite = value;
           this.OnOverWriteChanged(value);
         }
@@ -257,9 +257,9 @@
     public bool PreventLeaveAtError {
       get {
-        return this.bPreventLeave;
+        return this.m_bPreventLeave;
       }
       set {
-        if (value != this.bPreventLeave) {
-          this.bPreventLeave = value;
+        if (value != this.m_bPreventLeave) {
+          this.m_bPreventLeave = value;
           this.OnPreventLeaveChanged(value);
         }
@@ -277,13 +277,13 @@
     public IPNotation Notation {
       get {
-        return this.ipNotation;
+        return this.m_ipNotation;
       }
       set {
-        if (value != this.ipNotation) {
+        if (value != this.m_ipNotation) {
           try {
-            this.newIPNotation = value;
-            this.ChangeNotation(this.ipNotation, this.newIPNotation);
-            this.ipNotation = this.newIPNotation;
-            this.OnNotationChanged(this.newIPNotation);
+            this.m_newIPNotation = value;
+            this.ChangeNotation(this.m_ipNotation, this.m_newIPNotation);
+            this.m_ipNotation = this.m_newIPNotation;
+            this.OnNotationChanged(this.m_newIPNotation);
           }
           catch (Exception LastError) {
@@ -346,22 +346,22 @@
     private void ChangeNotation(IPNotation arg_oldValue, IPNotation arg_newValue) {
       string sTo = "";
-      ArrayList arlFrom = new ArrayList(this.Text.Replace(" ", "").Split((char[])this.arlDelimeter.ToArray(typeof(char))));
+      ArrayList arlFrom = new ArrayList(this.Text.Replace(" ", "").Split((char[])this.m_arlDelimeter.ToArray(typeof(char))));
 
       switch (arg_newValue) {
         case IPNotation.IPv4Decimal:
-          this.regexValidNumbers = new Regex("[0-9]");
-          this.arlDelimeter = new ArrayList(new char[] { '.' });
+          this.m_regexValidNumbers = new Regex("[0-9]");
+          this.m_arlDelimeter = new ArrayList(new char[] { '.' });
           break;
         case IPNotation.IPv4DecimalCIDR:
-          this.regexValidNumbers = new Regex("[0-9]");
-          this.arlDelimeter = new ArrayList(new char[] { '.', '/' });
+          this.m_regexValidNumbers = new Regex("[0-9]");
+          this.m_arlDelimeter = new ArrayList(new char[] { '.', '/' });
           break;
         case IPNotation.IPv4Binary:
-          this.regexValidNumbers = new Regex("[01]");
-          this.arlDelimeter = new ArrayList(new char[] { '.' });
+          this.m_regexValidNumbers = new Regex("[01]");
+          this.m_arlDelimeter = new ArrayList(new char[] { '.' });
           break;
         case IPNotation.IPv4BinaryCIDR:
-          this.regexValidNumbers = new Regex("[01]");
-          this.arlDelimeter = new ArrayList(new char[] { '.', '/' });
+          this.m_regexValidNumbers = new Regex("[01]");
+          this.m_arlDelimeter = new ArrayList(new char[] { '.', '/' });
           break;
         default:
@@ -502,5 +502,6 @@
           }
           break;
-
+        default:
+          break;
       }
 
@@ -544,5 +545,5 @@
         if ((char.IsLetterOrDigit(Convert.ToChar(e.KeyValue)) || e.KeyCode == Keys.NumPad0)//Numpad0=96 --> `
           && iPos < this.TextLength) {
-          if (this.arlDelimeter.Contains(cText[iPos]))
+          if (this.m_arlDelimeter.Contains(cText[iPos]))
             iPos += 1;
           this.SelectionStart = iPos;
@@ -573,5 +574,5 @@
       if ((char.IsLetterOrDigit(Convert.ToChar(e.KeyValue)) || e.KeyCode == Keys.NumPad0)//Numpad0=96 --> `
         && iPos < this.TextLength) {
-        if (this.arlDelimeter.Contains(cText[iPos]))
+        if (this.m_arlDelimeter.Contains(cText[iPos]))
           iPos += 1;
 
@@ -590,5 +591,5 @@
       //valid input charachters
       if (char.IsControl(e.KeyChar) ||
-        regexValidNumbers.IsMatch(e.KeyChar.ToString())) {
+        m_regexValidNumbers.IsMatch(e.KeyChar.ToString())) {
         e.Handled = false;
       } else {
@@ -637,5 +638,5 @@
     protected override void OnValidating(CancelEventArgs e) {
       //e.Cancel = true;//suppress cancel-signal = not validated
-      e.Cancel = (!this.ValidateIP() && this.bPreventLeave);
+      e.Cancel = (!this.ValidateIP() && this.m_bPreventLeave);
       base.OnValidating(e);
     }
@@ -729,10 +730,10 @@
     public string GetPureIPAddress() {
       string s = "";
-      ArrayList arlIP = new ArrayList(this.Text.Replace(" ", "").Split((char[])this.arlDelimeter.ToArray(typeof(char))));
+      ArrayList arlIP = new ArrayList(this.Text.Replace(" ", "").Split((char[])this.m_arlDelimeter.ToArray(typeof(char))));
       for (int i = 0; i < arlIP.Count; i++) {
         while (arlIP[i].ToString().StartsWith("0"))
           arlIP[i] = arlIP[i].ToString().Substring(1);
       }
-      s = IPAddressTextBox.MakeIP((string[])arlIP.ToArray(typeof(string)), this.ipNotation);
+      s = IPAddressTextBox.MakeIP((string[])arlIP.ToArray(typeof(string)), this.m_ipNotation);
       return s;
     }
@@ -923,5 +924,5 @@
     /// <returns>true/false valid/not</returns>
     private bool ValidateIP() {
-      if (IPAddressTextBox.ValidateIP(this.Text, this.newIPNotation, this.arlDelimeter))
+      if (IPAddressTextBox.ValidateIP(this.Text, this.m_newIPNotation, this.m_arlDelimeter))
         return true;
       else